org.h2.security.auth

## Class AuthConfigException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.h2.security.auth.AuthConfigException

All Implemented Interfaces:
  java.io.Serializable

    public class AuthConfigException
    extends java.lang.RuntimeException

Exception thrown when an issue occurs during the authentication configuration

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AuthConfigException()`
`AuthConfigException(java.lang.String message)`
`AuthConfigException(java.lang.String message, java.lang.Throwable cause)`
`AuthConfigException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthConfigException

    public AuthConfigException()

#### AuthConfigException

    public AuthConfigException(java.lang.String message)

#### AuthConfigException

    public AuthConfigException(java.lang.Throwable cause)

#### AuthConfigException

    public AuthConfigException(java.lang.String message,
                               java.lang.Throwable cause)